<xsd:schema elementFormDefault="qualified" targetNamespace="http://xmlns.oracle.com/apps/crmCommon/activities/activityManagementService/"
     sdoJava:package="oracle.apps.crmCommon.activities.activityManagementService" xmlns:ns0="http://xmlns.oracle.com/adf/svc/types/"
     xmlns:sdoJava="commonj.sdo/java" xmlns:sdoXML="commonj.sdo/xml" xmlns="http://xmlns.oracle.com/apps/crmCommon/activities/activityManagementService/"
     xmlns:xsd="http://www.w3.org/2001/XMLSchema">
    <xsd:annotation>
        <xsd:documentation xmlns:oer="http://xmlns.oracle.com/oer">
            <name>Activity Contact</name>
            <description>This is used to capture the contacts associated to the activity.</description>
            <oer:attributes>
                <oer:attribute description="System generated non-nullable primary key of the Parent Activity."
                     name="ActivityId"/>
                <oer:attribute description="Id of contact associated with the activity." name="ContactId"/>
                <oer:attribute description="Id of the relationship of the contact." name="RelationshipId"/>
                <oer:attribute description="System attribute to capture the user Id of the activity contact creator. This is defaulted by the system."
                     name="CreatedBy"/>
                <oer:attribute description="System attribute to capture the date and time the activity contact was created. This is defaulted by the system."
                     name="CreationDate"/>
                <oer:attribute description="System attribute to capture the date and time the activity contact was last updated. This is defaulted by the system."
                     name="LastUpdateDate"/>
                <oer:attribute description="System attribute to capture the Id of the user who last updated the activity contact. This is defaulted by the system."
                     name="LastUpdateLogin"/>
                <oer:attribute description="System attribute to capture the ID of the user who last updated the activity contact. This is defaulted by the system."
                     name="LastUpdatedBy"/>
                <oer:attribute description="System attribute to capture number of updates on an activity contact row. This is updated by the system."
                     name="ObjectVersionNumber"/>
                <oer:attribute description="Attribute to capture when the record was last updated by a user in disconnect mode."
                     name="UserLastUpdateDate"/>
                <oer:attribute description="Holds Corporate Currency Code from profile" name="CorpCurrencyCode"/>
                <oer:attribute description="Holds Currency Conversion Rate Type from profile" name="CurcyConvRateType"/>
                <oer:attribute description="Holds currency code of a record" name="CurrencyCode"/>
                <oer:attribute description="Activity Contact Id.Surrogate key added for BI and Outlook.This is not a substitute for primary key."
                     name="ActivityContactId"/>
            </oer:attributes>
        </xsd:documentation>
    </xsd:annotation>
    <xsd:import namespace="http://xmlns.oracle.com/adf/svc/types/" schemaLocation="BC4JService.xsd"/>
    <xsd:import namespace="commonj.sdo/java" schemaLocation="sdoJava.xsd"/>
    <xsd:import namespace="commonj.sdo/xml" schemaLocation="sdoXML.xsd"/>
    <xsd:complexType name="ActivityContact">
        <xsd:annotation>
            <xsd:appinfo source="http://xmlns.oracle.com/adf/svc/metadata/">
                <key xmlns="http://xmlns.oracle.com/adf/svc/metadata/">
                    <attribute>ActivityId</attribute>
                    <attribute>ContactId</attribute>
                </key>
            </xsd:appinfo>
        </xsd:annotation>
        <xsd:sequence>
            <xsd:element minOccurs="0" name="ActivityId" type="xsd:long" sdoXML:dataType="sdoJava:LongObject"/>
            <xsd:element minOccurs="0" name="ContactId" type="xsd:long" sdoXML:dataType="sdoJava:LongObject"/>
            <xsd:element minOccurs="0" name="RelationshipId" nillable="true" type="xsd:long"/>
            <xsd:element minOccurs="0" name="CreatedBy" type="xsd:string"/>
            <xsd:element minOccurs="0" name="CreationDate" type="ns0:dateTime-Timestamp"/>
            <xsd:element minOccurs="0" name="LastUpdateDate" type="ns0:dateTime-Timestamp"/>
            <xsd:element minOccurs="0" name="LastUpdateLogin" nillable="true" type="xsd:string"/>
            <xsd:element minOccurs="0" name="LastUpdatedBy" type="xsd:string"/>
            <xsd:element minOccurs="0" name="ObjectVersionNumber" type="xsd:int" sdoXML:dataType="sdoJava:IntObject"/>
            <xsd:element minOccurs="0" name="UserLastUpdateDate" nillable="true" type="ns0:dateTime-Timestamp"/>
            <xsd:element minOccurs="0" name="CorpCurrencyCode" nillable="true" type="xsd:string"/>
            <xsd:element minOccurs="0" name="CurcyConvRateType" nillable="true" type="xsd:string"/>
            <xsd:element minOccurs="0" name="CurrencyCode" nillable="true" type="xsd:string"/>
            <xsd:element minOccurs="0" name="ActivityContactId" nillable="true" type="xsd:long"/>
        </xsd:sequence>
    </xsd:complexType>
    <xsd:element name="activityContact" type="ActivityContact"/>
</xsd:schema>
